org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.SCRIPT

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Content
  All Known Implementing Classes:
    Hamlet.SCRIPT
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.SCRIPT
      extends HamletSpec._Content, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.SCRIPT` | `$charset(String cdata)` char encoding of linked resource
    `HamletSpec.SCRIPT` | `$defer(String cdata)` UA may defer execution of script
    `HamletSpec.SCRIPT` | `$src(String cdata)` URI for an external script
    `HamletSpec.SCRIPT` | `$type(String cdata)` content type of script language

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Content

      `__`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### $charset

          HamletSpec.SCRIPT $charset(String cdata)

      char encoding of linked resource
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $type

          HamletSpec.SCRIPT $type(String cdata)

      content type of script language
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $src

          HamletSpec.SCRIPT $src(String cdata)

      URI for an external script
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $defer

          HamletSpec.SCRIPT $defer(String cdata)

      UA may defer execution of script
      Parameters:
        `cdata` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.